package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.MusicScene;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface IMusicSceneService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public MusicScene selectMusicSceneById(String id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param musicScene 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<MusicScene> selectMusicSceneList(MusicScene musicScene);

    /**
     * 新增【请填写功能名称】
     * 
     * @param musicScene 【请填写功能名称】
     * @return 结果
     */
    public int insertMusicScene(MusicScene musicScene);

    /**
     * 修改【请填写功能名称】
     * 
     * @param musicScene 【请填写功能名称】
     * @return 结果
     */
    public int updateMusicScene(MusicScene musicScene);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteMusicSceneByIds(String[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteMusicSceneById(String id);
}
